<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2015. Ncomz. All Rights Reserved
  -->

<LinearLayout
        xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@drawable/color_body_02"
        android:fitsSystemWindows="true"
        android:orientation="vertical">

    <include layout="@layout/app_toolbar"/>

    <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1">

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical"
        >

            <android.support.v4.widget.SwipeRefreshLayout
                    android:id="@+id/swiperefreshlayou"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:visibility="visible">

                <com.ntels.onecable.common.widget.CustomScrollView
                        android:overScrollMode="never"
                        android:id="@+id/svBody"
                        android:layout_width="match_parent"
                        android:layout_height="0dp"
                        android:layout_weight="1"
                        android:fadingEdge="none">

                    <LinearLayout
                            android:id="@+id/llSvbody"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:orientation="vertical">

                        <LinearLayout
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:orientation="vertical">

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="horizontal"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp">

                                <LinearLayout
                                        android:layout_width="0dp"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:layout_marginTop="20dp"
                                        android:layout_marginBottom="20dp"
                                        android:orientation="vertical">

                                    <LinearLayout
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:orientation="horizontal">

                                        <TextView
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_weight="1"
                                                android:includeFontPadding="false"
                                                android:text="@string/layout_homehub_01"
                                                style="@style/list_subject_text"/>
                                        <ImageView
                                                android:id="@+id/ivConnAlertIcon"
                                                android:layout_width="wrap_content"
                                                android:layout_height="wrap_content"
                                                android:layout_marginLeft="5dp"
                                                android:src="@drawable/common_bullet_alert_on"
                                                android:visibility="gone"/>
                                    </LinearLayout>

                                    <TextView
                                            android:id="@+id/tvConnStatus"
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@string/layout_homehub_02"
                                            android:textStyle="bold"
                                            style="@style/list_detail_text_color"/>
                                    <TextView
                                            android:id="@+id/tvLastConnDatetime"
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:text="@string/layout_homehub_03"
                                            android:textStyle="bold"
                                            android:textColor="@color/color_text_07"
                                            style="@style/list_detail_text_color"
                                            android:visibility="gone"/>
                                </LinearLayout>

                                <Button
                                        android:id="@+id/btnNetworkSetting"
                                        android:layout_marginTop="23dp"
                                        android:layout_marginBottom="23dp"
                                        style="@style/list_sub_button"
                                        android:text="@string/layout_homehub_04"/>
                            </LinearLayout>

                            <View style="@style/width_Divider_01"/>

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:layout_marginTop="20dp"
                                    android:layout_marginBottom="20dp"
                                    android:layout_marginLeft="15dp"
                                    android:layout_marginRight="15dp"
                                    android:orientation="vertical">

                                <LinearLayout
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal">

                                    <TextView
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:includeFontPadding="false"
                                            android:text="@string/layout_homehub_05"
                                            style="@style/list_subject_text"/>
                                    <ImageView
                                            android:id="@+id/ivOnlineAlertIcon"
                                            android:layout_width="wrap_content"
                                            android:layout_height="wrap_content"
                                            android:layout_marginLeft="5dp"
                                            android:src="@drawable/common_bullet_alert_on"
                                            android:visibility="gone"/>
                                </LinearLayout>
                                <TextView
                                        android:id="@+id/tvOnlineStatus"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/layout_homehub_02"
                                        android:textStyle="bold"
                                        style="@style/list_detail_text_color"/>
                                <TextView
                                        android:id="@+id/tvLastOnlineDatetime"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:text="@string/layout_homehub_03"
                                        android:textStyle="bold"
                                        android:textColor="@color/color_text_07"
                                        style="@style/list_detail_text_color"
                                        android:visibility="gone"/>
                            </LinearLayout>

                            <View style="@style/width_Divider_01"/>

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="20dp">

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:text="@string/layout_homehub_06"
                                        style="@style/list_subject_text"/>
                                <LinearLayout
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal"
                                        android:layout_marginTop="20dp">
                                    <LinearLayout
                                            android:layout_width="0dp"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:orientation="vertical">
                                        <TextView
                                                android:layout_width="match_parent"
                                                android:layout_height="wrap_content"
                                                android:text="@string/layout_homehub_07"
                                                style="@style/horizontal_slash_divider"/>
                                        <TextView
                                                android:id="@+id/tvFirmwareVersion"
                                                android:layout_width="match_parent"
                                                android:layout_height="wrap_content"
                                                android:includeFontPadding="false"
                                                android:textColor="@color/color_text_01"
                                                android:textSize="@dimen/size_font_04"
                                                android:textStyle="bold"
                                                android:text="@string/layout_homehub_08"/>
                                    </LinearLayout>
                                    <Button
                                            android:id="@+id/btnFirmwareUpdate"
                                            style="@style/list_sub_button"
                                            android:text="@string/layout_homehub_12"
                                            android:visibility="gone"/>
                                </LinearLayout>
                                <LinearLayout
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal"
                                        android:layout_marginTop="20dp">
                                    <LinearLayout
                                            android:layout_width="0dp"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:orientation="vertical">
                                        <TextView
                                                android:layout_width="match_parent"
                                                android:layout_height="wrap_content"
                                                android:text="@string/layout_homehub_09"
                                                style="@style/horizontal_slash_divider"/>
                                        <TextView
                                                android:id="@+id/tvSoftwareVersion"
                                                android:layout_width="match_parent"
                                                android:layout_height="wrap_content"
                                                android:includeFontPadding="false"
                                                android:textColor="@color/color_text_01"
                                                android:textSize="@dimen/size_font_04"
                                                android:textStyle="bold"
                                                android:text="@string/layout_homehub_08"/>
                                    </LinearLayout>
                                    <Button
                                            android:id="@+id/btnSoftwareUpdate"
                                            style="@style/list_sub_button"
                                            android:text="@string/layout_homehub_12"
                                            android:visibility="gone"/>
                                </LinearLayout>
                                <LinearLayout
                                        android:id="@+id/llHomehubUpdate"
                                        android:layout_width="match_parent"
                                        android:layout_height="wrap_content"
                                        android:orientation="horizontal"
                                        android:layout_marginTop="20dp">
                                    <TextView
                                            android:id="@+id/tvHomehubUpdate"
                                            android:layout_width="0dp"
                                            android:layout_height="wrap_content"
                                            android:layout_weight="1"
                                            android:includeFontPadding="false"
                                            android:textColor="@color/color_text_04"
                                            android:textSize="@dimen/size_font_04"
                                            android:textStyle="bold"
                                            android:text="@string/layout_homehub_13"/>
                                    <Button
                                            android:id="@+id/btnHomehubUpdate"
                                            style="@style/list_sub_button"
                                            android:text="@string/layout_homehub_12"/>
                                </LinearLayout>
                            </LinearLayout>

                            <View style="@style/width_Divider_01"/>

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="20dp">

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:text="@string/layout_homehub_10"
                                        style="@style/list_subject_text"/>


                                <TextView
                                        android:id="@+id/tvModelName"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:includeFontPadding="false"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_04"
                                        android:textStyle="bold"/>
                            </LinearLayout>


                            <View style="@style/width_Divider_01"/>

                            <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="wrap_content"
                                    android:orientation="vertical"
                                    android:paddingBottom="20dp"
                                    android:paddingLeft="15dp"
                                    android:paddingRight="15dp"
                                    android:paddingTop="20dp">

                                <TextView
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:layout_weight="1"
                                        android:text="@string/layout_homehub_11"
                                        style="@style/list_subject_text"/>


                                <TextView
                                        android:id="@+id/tvSerialNumber"
                                        android:layout_width="wrap_content"
                                        android:layout_height="wrap_content"
                                        android:includeFontPadding="false"
                                        android:textColor="@color/color_text_01"
                                        android:textSize="@dimen/size_font_04"
                                        android:textStyle="bold"/>
                            </LinearLayout>


                            <View
                                    style="@style/width_Divider_01"
                                    android:id="@+id/vLastDivider"/>

                        </LinearLayout>
                    </LinearLayout>
                </com.ntels.onecable.common.widget.CustomScrollView>
            </android.support.v4.widget.SwipeRefreshLayout>

        </LinearLayout>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="6dp"
                android:layout_alignParentTop="true"
                android:background="@drawable/shadow_top"/>

        <ImageView
                android:layout_width="match_parent"
                android:layout_height="7dp"
                android:layout_alignParentBottom="true"
                android:background="@drawable/shadow_bottom"/>
    </RelativeLayout>

    <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

        <View
                style="@style/width_Divider_02"/>

        <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/color_bg_01"
                android:gravity="center">

            <LinearLayout
                    android:id="@+id/llBtn1"
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_weight="1"
                    android:gravity="center">

                <TextView
                        android:id="@+id/tvBtn1"
                        android:text="@string/layout_close"
                        style="@style/bottom_button_text_no"/>
            </LinearLayout>

        </LinearLayout>
    </LinearLayout>
</LinearLayout>